@import "../../style.scss";
:root {
  --PrimaryColor: hsl(94, 59%, 35%);
  --HoverColor: #bdf094;
  --paleGreen: hsl(96, 75%, 89%);
  --whiteColor: hsl(0, 0%, 100%);
  --blackColor: hsl(0, 3%, 6%);
  --textColor: hsl(240, 1%, 48%);
  --bgColor: hsl(220, 10%, 94%);
  --greyText: rgb(190, 190, 190);
  --inputColor: hsl(330, 12%, 97%);

  --biggestFontSize: 2.5rem;
  --h1FontSize: 1.5rem;
  --h2fontSize: 1.25rem;
  --h3FontSize: 1rem;
  --normalFontSize: 0.938rem;
  --smallFontSize: 0.813rem;
  --smallestFontSize: 0.75rem;
}

.profile{
  .topSection {
    display: none;
  }
  width: 82%;
  height: 100%;
  padding: 2rem;
  // overflow: hidden;
  overflow: auto;
  .images {
    width: 100%;
    height: 300px;
    position: relative;

    .coverPic {
      width: 100%;
      height: 100%;
      object-fit: cover;
    }

    .profilePic {
      width: 180px;
      height: 180px;
      border-radius: 50%;
      object-fit: cover;
      position: absolute;
      left: 0;
      right: 0;
      margin: auto;
      top: 200px;
    }
  }
  .profileContainer {

    .uInfo {
      height: 200px;
      -webkit-box-shadow: 0px 0px 25px -10px rgba(0, 0, 0, 0.38);
      -moz-box-shadow: 0px 0px 25px -10px rgba(0, 0, 0, 0.38);
    box-shadow: 0px 0px 25px -10px rgb(0 0 0 / 30%);
    border-radius: 8px;
    color: var(--textColor);
    padding: 50px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-top: 40px;
      .left {
        flex: 1;
        display: flex;
        gap: 10px;

        a {
          color: black;
        }
      }

      .center {
        flex: 1;
        display: flex;
        flex-direction: column;
        align-items: center;
        gap: 10px;
        margin-top: 26px;

        span {
          font-size: 2rem;
    color: #000;
    font-weight: 600;
        }

        .info {
          width: 100%;
          display: flex;
          align-items: center;
          justify-content: space-around;

          .item {
            display: flex;
            align-items: center;
            gap: 5px;
            color: var(--textColor);

            span {
              font-size: 1rem;
            }
          }
        }
        button {
          border: none;
          background-color: var(--PrimaryColor);
          color: white;
          padding: 10px 20px;
          border-radius: 5px;
          cursor: pointer;
        }
      }
      .right {
        flex: 1;
        display: flex;
        align-items: center;
        justify-content: flex-end;
        gap: 10px;
      }
    }
  }
}
